--[[ Shared functions used by multiple modules ]]
local print = CogsUtils:GetPrint("MacroTalk: ")

function MacroTalk_InBattleground()
	for i = 1, MAX_BATTLEFIELD_QUEUES do
		status = GetBattlefieldStatus(i)
		if status == "active" then
			return true
		end
	end
	return false
end

function MacroTalk_DoCommand(text)
	local command = text:match("^(/%S+)")
	
	if command and IsSecureCmd(command) then
		print(L["You cannot use %s with /opt or /rnd."]:format(command))
		return
	end
	
	local origText = ChatFrameEditBox:GetText()
	ChatFrameEditBox:SetText(text)
	ChatEdit_SendText(ChatFrameEditBox)
	ChatFrameEditBox:SetText(origText)
end
