--[[ /group ]]
local L = MacroTalk_Locals

SLASH_GROUP_CHAT1 = L["/group"]
SLASH_GROUP_CHAT2 = L["/gr"]
SlashCmdList["GROUP_CHAT"] = function(text)
	local channel = 
		MacroTalk_InBattleground() and "BATTLEGROUND" or
		GetNumRaidMembers() > 0 and "RAID" or
		GetNumPartyMembers() > 0 and "PARTY"
	
	if channel then
		SendChatMessage(text, channel, DEFAULT_CHAT_FRAME.editBox.language)
	else
		MacroTalk_Print(ERR_NOT_IN_GROUP)
	end
end




--[[ /tellunit ]]
SLASH_TELL_UNIT1 = L["/tellunit"]
SLASH_TELL_UNIT2 = L["/whisperunit"]
SLASH_TELL_UNIT3 = L["/tu"]
SLASH_TELL_UNIT4 = L["/wu"]
SlashCmdList["TELL_UNIT"] = function(text)
	local unit, message = strsplit(" ", text, 2)
	local name, realm = UnitName(unit:trim())
	if realm then
		name = name.."-"..realm
	end
	
	if name then
		SendChatMessage(message, "WHISPER", nil, name)
	end
end




--[[ /opt ]]
SLASH_OPTION_SLASH1 = L["/opt"]
SlashCmdList["OPTION_SLASH"] = function(message)
	message = SecureCmdOptionParse(message)
	if message then
		MacroTalk_DoCommand(message)
	end
end




--[[ /rnd ]]
SLASH_RANDOM_SLASH1 = L["/rnd"]
SlashCmdList["RANDOM_SLASH"] = function(message)
	message = SecureCmdOptionParse(message)
	if message then
		MacroTalk_DoCommand(GetRandomArgument(strsplit("\\", message)):trim())
	end
end
